Skip to content

Searches for write offs using predefined parameters

Request

Searches for write offs using predefined parameters

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
exclusiveStartKeystring

The start key for the search, for paging support

fieldsToReturnstring

The fields that you want to retrieve; if omitted, the entire object is returned

Bodyapplication/jsonrequired

The write off that you would like to be saved.

batch_idArray of strings(Batch)
business_unit_idstring(Business Unit)required

The business unit

dateArray of strings, = 2 items(Date)
idArray of strings(ID)
numberArray of numbers, (float), = 2 items(Number)
totalArray of numbers, (float), = 2 items(Total)
total_in_base_currencyArray of numbers, (float), = 2 items(Total In Base Currency)
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/writeOffs/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "batch_id": [
      "string"
    ],
    "business_unit_id": "string",
    "date": [
      "string",
      "string"
    ],
    "id": [
      "string"
    ],
    "number": [
      0.1,
      0.1
    ],
    "total": [
      0.1,
      0.1
    ],
    "total_in_base_currency": [
      0.1,
      0.1
    ]
  }'

Responses

The write off search was saved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
ItemsArray of objects(WriteOffSearchResults)
LastEvaluatedKeystring
Response
{ "Items": [ { … } ], "LastEvaluatedKey": "string" }